diff -urN soojung-0.4.1/README soojung/README
--- soojung-0.4.1/README	2005-01-01 10:47:20.000000000 +0900
+++ soojung/README	2005-01-04 12:57:25.000000000 +0900
@@ -5,6 +5,13 @@
 
 3. install.php를 지운다.
 
+4. soojung 디렉토리 퍼미션을 바꾼다. 예) chmod 755 soojung
+
+==== fancy url 설명 ====
+fancy url이란 url을 좀 더 예쁘고, 보기 쉽게 바꾸는 기능입니다. fancy url을 쓰려면 apache의 mod_rewrite를 쓸 수 있어야 합니다.
+예) 적용 전: http://site/soojung/entry?blogid=84
+    적용 후: http://site/soojung/category/2004/09/25/3.html
+
 === 삭제 ===
 1. admin으로 로그인을 한다
 
@@ -42,3 +49,8 @@
 soojung/templates/admin/bbcode
 soojung/templates/soogle
 soojung/templates/default
+
+=== 0.4.1 -> 0.4.2 ===
+zip파일을 받은 경우는 덮어 씁니다.
+patch파일을 받은 경우는 파일을 soojung디렉토리로 옮기고 아래 명령어를 실행합니다.
+patch -p1 < soojung-0.4.2.patch
diff -urN soojung-0.4.1/admin.php soojung/admin.php
--- soojung-0.4.1/admin.php	2004-12-19 12:52:16.000000000 +0900
+++ soojung/admin.php	2005-01-03 13:33:11.000000000 +0900
@@ -30,6 +30,7 @@
 		    $_POST["fancyurl"], $_POST["notify"], $_POST["adminname"], $_POST["email"],
 		    FALSE, $_POST["skin"]);
   echo "<meta http-equiv='refresh' content='0;URL=index.php?compile=t'>";
+  exit;
 }
 
 if ($_GET["mode"] == "delete" && isset($_GET["file"])) {
diff -urN soojung-0.4.1/classes/Entry.class.php soojung/classes/Entry.class.php
--- soojung-0.4.1/classes/Entry.class.php	2004-12-24 12:05:57.000000000 +0900
+++ soojung/classes/Entry.class.php	2005-01-04 12:01:09.000000000 +0900
@@ -85,6 +85,7 @@
       if ($this->format == "html") {
 	$body = addslashes($body);
       }
+      $body = htmlspecialchars($body);
     }
     return $body;
   }
diff -urN soojung-0.4.1/index.php soojung/index.php
--- soojung-0.4.1/index.php	2004-12-19 12:52:16.000000000 +0900
+++ soojung/index.php	2005-01-03 13:33:11.000000000 +0900
@@ -3,6 +3,9 @@
 include_once("settings.php");
 
 $template = new UserTemplate;
+if (isset($_GET["compile"])) {
+  $template->force_compile=true;
+}
 
 if (isset($_GET["page"])) {
   $page = $_GET["page"];
@@ -49,4 +52,4 @@
 
 $template->display('index.tpl');
 
-?>
\ No newline at end of file
+?>
diff -urN soojung-0.4.1/install.php soojung/install.php
--- soojung-0.4.1/install.php	2004-12-19 12:52:16.000000000 +0900
+++ soojung/install.php	2005-01-04 11:49:38.000000000 +0900
@@ -62,7 +62,7 @@
   fwrite($f, $_POST["url"] . "/index.php?page=$1\n");
   fclose($f);
 
-  echo "install success. delete install.php file<br>";
+  echo "install success. delete install.php file and change the soojung directory permission to 755<br />";
   echo "<a href=\"index.php\">home</a>";
   exit();
 }
diff -urN soojung-0.4.1/post.php soojung/post.php
--- soojung-0.4.1/post.php	2004-12-24 23:01:31.000000000 +0900
+++ soojung/post.php	2005-01-02 14:41:25.000000000 +0900
@@ -68,8 +68,11 @@
   $title =  $_POST["title"];
   $body = balanceTags($_POST["body"]);
   $date = strtotime($_POST["date"]);
-  $category = trim($_POST["category"]);
-  $format =  $_POST["format"];
+  if (empty($_POST["category_input"]) == false) {
+    $category = trim($_POST["category_input"]);
+  } else {
+    $category = $_POST["category"];
+  }
   $options = array();
   if (isset($_POST["SECRET"])) {
     $options[] = "SECRET";
@@ -86,6 +89,7 @@
   if (isset($_POST["NO_RSS"])) {
     $options[] = "NO_RSS";
   }
+  $format =  $_POST["format"];
   if (isset($_POST["id"]))
     $id = $_POST["id"];
 }
@@ -117,4 +121,4 @@
   $template->assign("format", $format);
 }
 $template->display('post.tpl');
-?>
\ No newline at end of file
+?>
diff -urN soojung-0.4.1/settings.php soojung/settings.php
--- soojung-0.4.1/settings.php	2004-12-24 22:29:56.000000000 +0900
+++ soojung/settings.php	2005-01-04 12:04:07.000000000 +0900
@@ -1,6 +1,6 @@
 <?php
 
-$soojung_version = '0.4.1';
+$soojung_version = '0.4.2';
 setlocale(LC_TIME, "C");
 
 if (file_exists("config.php")) {
diff -urN soojung-0.4.1/templates/simple/footer.tpl soojung/templates/simple/footer.tpl
--- soojung-0.4.1/templates/simple/footer.tpl	2004-12-19 12:52:16.000000000 +0900
+++ soojung/templates/simple/footer.tpl	2005-01-04 12:07:28.000000000 +0900
@@ -123,8 +123,8 @@
 
 <div id="footer">
 <p>
-Copyleft 2004 soojung devel team, all rights reserved.<br />
-Powered by <a href="http://soojung.kldp.net">soojung</a>
+Copyleft 2004-2005 soojung devel team, all rights reserved.<br />
+Powered by <a href="http://soojung.kldp.net">soojung {$soojung_version}</a>
 </p>
 
 </div>
diff -urN soojung-0.4.1/templates/simplebalance/footer.tpl soojung/templates/simplebalance/footer.tpl
--- soojung-0.4.1/templates/simplebalance/footer.tpl	2004-12-26 01:24:39.000000000 +0900
+++ soojung/templates/simplebalance/footer.tpl	2005-01-04 12:07:28.000000000 +0900
@@ -124,7 +124,7 @@
 <div id="footer">
 <p>
 	<i>your copyright message goes here.</i><br />
-	Powered by <a href="http://soojung.kldp.net/">soojung {$soojung_version}</a> &copy; 2004 soojung devel team. "The Simple Balance" template designed by Tokigun.
+	Powered by <a href="http://soojung.kldp.net/">soojung {$soojung_version}</a> &copy; 2004-2005 soojung devel team. "The Simple Balance" template designed by Tokigun.
 </p>
 </div>
 
